import { Module } from '@nestjs/common';
import { GoodsService } from './goods.service';
import { GoodsController } from './goods.controller';
import { GoodsRouter } from './goods.router';
import { TrpcService } from '@server/trpc/trpc.service';
@Module({
    providers: [GoodsService,GoodsRouter,TrpcService], // 1. 注册服务提供者，使 GoodsService 可在本模块中使用
    controllers:[GoodsController], // 2. 注册控制器，使 GoodsController 的路由可用
    exports:[GoodsRouter]
})
export class GoodsModule {}
