import { Injectable } from '@nestjs/common';
// 注解相当于mapper
@Injectable()
export class GoodsService {
  getHello(name: string) {
    return {
      message: 'Hello World!',
      name: name || 'Guest',
    };
  }

  // GET /goods/detail/123
  getDetail(id: string) {
    return {
      id: id, // 返回路径参数中的id
      detail: `Detail for product ${id}`, // 返回包含id的详细信息
    };
  }
}